/*
 **********************************************************************************************
    General Styling    
 **********************************************************************************************
*/

/* General width of Advanced Form and other elements which are using .col-md-9 from 75% to 85% */
@media (min-width: 992px) {
  .col-md-9 {
    width: 85%;
  }
}

/* Width of Notes timeline from 66,66% to 100% */
@media (min-width: 992px) {
  .col-md-8 {
    width: 100%;
  }
}

/* Disabled the word-break for all the subgrids to make the text more readable */
.subgrid {
  word-break: normal;
}

/* Hide the title for notes timeline */
label[for="notescontrol"].field-label {
  display: none !important;
}

/*
  **********************************************************************************************
    reset box-sizing,allowing for inheritence.  (not required for sticky footer, but I do this regardless)
 **********************************************************************************************
*/
html {
  box-sizing: border-box;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

/*
 **********************************************************************************************
    sticky footer
 **********************************************************************************************
*/
html,
body {
  height: 100%; /* Set to 100% of the container */
}

body > footer {
  top: 100vh; /* pushes the footer outside the visible area */
  position: sticky; /* pulls it back up and sticks it to the bottom edge */
}

.wrapper-body {
  min-height: 100px; /* need to set a value to override the theme.css's calc value */
}

/*
 **********************************************************************************************
    fields always aligned on the same row
 **********************************************************************************************
*/

td.clearfix.cell {
    vertical-align: bottom;
}
div.validators {
    display: none;
}

/*
 **********************************************************************************************
    unresizable description field
 **********************************************************************************************
*/

#description {
  resize: none;
}


/*
 **********************************************************************************************
    remove quickview border
 **********************************************************************************************
*/

html[dir=ltr] .crmEntityFormView .cell.crmquickform-cell:first-child {
    border-right: 0px !important;
}

/*
 **********************************************************************************************
    align fields on section like in CRM (no wrapping to empty space from right to left)    
 **********************************************************************************************
*/

/*2G - Web - Edit Claim - Partner*/
#EntityFormControl_67fd314dfaf5ec11bb3d002248a00ea6 table[data-name="contactwarranty_section"] td[style="display: none;"] {
  display: table-cell !important;
}

/*
 **********************************************************************************************
    Adjust height of the lookup selector on Work Order & Availabilities List    
 **********************************************************************************************
*/

/* Customer Service - Work Orders & Non-Availabilities */
#EntityList32739601-4e46-ee11-be6e-6045bd8c5f80 .entitylist-filter-option-group-box-overflow {
    max-height: 300px; /* Adjust the max-height to your preference */
}

/*
 **********************************************************************************************
    Advanced Form adjustments   
 **********************************************************************************************
*/


/* Add the btn btn-danger styles to buttons with cancel-case-link btn-default btn */
.cancel-case-link.btn-default.btn,
.cancel-case-link.btn-default.btn:hover,
.cancel-case-link.btn-default.btn:active,
.cancel-case-link.btn-default.btn:focus {
    background-color: #d9534f;
    color: #fff;
    border-color: #d9534f;
}

.cancel-case-link.btn-default.btn:hover,
.cancel-case-link.btn-default.btn:active,
.cancel-case-link.btn-default.btn:focus {
    background-color: #c9302c;
    border-color: #ac2925;
}

/* Disable label for quickview case products and documents from corresponding claim */
div.info label[for="quickview_correspondingclaimproducts"] {
  display: none !important;
}

div.info label[for="quickview_correspondingclaimdocuments"] {
  display: none !important;
}

/* Move search on Case Products LookUp Form to the left */
#zweig_caseproductsproduct_ref_lookupmodal > div .pull-right {
  float: none !important; /* set to "none" to disable the float property */
}